function [f,g,H] = springFunction(xVec)
u = xVec(1);v = xVec(2);
L12 = sqrt(u^2+(1+v)^2);
L13 = sqrt(u^2+(1-v)^2);
f = 0.5*100*(L12 -1).^2 + 0.5*50*(L13  -1).^2 -(10*u+8*v);
g(1,1) = 100*(L12-1)/L12*u + 50*(L13-1)/L13*u - 10;
g(2,1) = 100*(L12-1)/L12*(1+v) - 50*(L13-1)/L13*(1-v) - 8;
H(1,1) = (50*(((v - 1)^2 + u^2)^(1/2) - 1))/((v - 1)^2 + u^2)^(1/2) + (100*(((v + 1)^2 + u^2)^(1/2) - 1))/((v + 1)^2 + u^2)^(1/2) + (50*u^2)/((v - 1)^2 + u^2) + (100*u^2)/((v + 1)^2 + u^2) - (50*u^2*(((v - 1)^2 + u^2)^(1/2) - 1))/((v - 1)^2 + u^2)^(3/2) - (100*u^2*(((v + 1)^2 + u^2)^(1/2) - 1))/((v + 1)^2 + u^2)^(3/2);
H(1,2) = (25*u*(2*v - 2))/((v - 1)^2 + u^2) + (50*u*(2*v + 2))/((v + 1)^2 + u^2) - (25*u*(((v - 1)^2 + u^2)^(1/2) - 1)*(2*v - 2))/((v - 1)^2 + u^2)^(3/2) - (50*u*(((v + 1)^2 + u^2)^(1/2) - 1)*(2*v + 2))/((v + 1)^2 + u^2)^(3/2);
H(2,1) = H(1,2);
H(2,2) = (50*(((v - 1)^2 + u^2)^(1/2) - 1))/((v - 1)^2 + u^2)^(1/2) + (100*(((v + 1)^2 + u^2)^(1/2) - 1))/((v + 1)^2 + u^2)^(1/2) + (25*(2*v - 2)^2)/(2*((v - 1)^2 + u^2)) + (25*(2*v + 2)^2)/((v + 1)^2 + u^2) - (25*(((v - 1)^2 + u^2)^(1/2) - 1)*(2*v - 2)^2)/(2*((v - 1)^2 + u^2)^(3/2)) - (25*(((v + 1)^2 + u^2)^(1/2) - 1)*(2*v + 2)^2)/((v + 1)^2 + u^2)^(3/2);
end