clc;

% illustrates the non-linear conjugate gradient
testNd = testFunctionsND;
f = @(xBar)testNd.f2(xBar);

% algorithm
x0 = [0 0];
[fVal,g0] =f(x0);
d0 = g0;
% first line search
[x1] = lineSearchNR(@(xBar)f(xBar),x0,d0);

[fVal,g1] = f(x1);
beta = g1'*g1/(g0'*g0);
d1 = g1 + beta*d0;
% second line search
[x2] = lineSearchNR(@(xBar)f(xBar),x1,d1);


[fVal,g2] = f(x2);
beta = g2'*g2/(g1'*g1);
d2 = g2 + beta*d1;
% third line search
[x3] = lineSearchNR(@(xBar)f(xBar),x2,d2);

