function res = stationaryPointEquations(xVec)
% the first order conditions corresponding to
% Min x^2 + y^2
% such that
% (x-2)^2 + y^2 = 1
x = xVec(1);
y = xVec(2);
mu = xVec(3);
res(1) = 2*x + 2*mu*x -4*mu;
res(2) = 2*y + 2*mu*y;
res(3) = (x-2)^2 + y^2 - 1;
