function opt = setDefaultOptimizationOptions()
% set default values for critical termination criteria
opt = optimset('fmincon');
opt.TolX = 1e-6;% tolerance on x
opt.TolFun = 1e-6;% tolerance on function
opt.TolGrad = 1e-6;% tolerance on gradient
opt.MaxFunEvals = 100; % maximum function evals
opt.TolCon = 1e-6;% tolerance on constraints
